## nvidia-settings-tesla 525.125.06

=== doc/Makefile ===
#
# nvidia-settings: A tool for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (C) 2008-2012 NVIDIA Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses>.
#


##############################################################################
# include common variables and functions
##############################################################################

UTILS_MK_DIR ?= ..

include $(UTILS_MK_DIR)/utils.mk


##############################################################################
# The common-utils directory may be in one of two places: either
# elsewhere in the driver source tree when building nvidia-settings as
# part of the NVIDIA driver build (in which case, COMMON_UTILS_DIR
# should be defined by the calling makefile), or directly in the
# source directory when building from the nvidia-settings source
# tarball (in which case, the below conditional assignments should be
# used)
##############################################################################

COMMON_UTILS_DIR      ?= ../src/common-utils


##############################################################################
# assign variables
##############################################################################

MANPAGE_GZIP ?= 1

MANPAGE_gzipped         = $(OUTPUTDIR)/nvidia-settings.1.gz
MANPAGE_not_gzipped 	= $(OUTPUTDIR)/nvidia-settings.1
ifeq ($(MANPAGE_GZIP),1)
  MANPAGE               = $(MANPAGE_gzipped)
else
  MANPAGE               = $(MANPAGE_not_gzipped)
endif
GEN_MANPAGE_OPTS        = $(OUTPUTDIR_ABSOLUTE)/gen-manpage-opts
OPTIONS_1_INC           = $(OUTPUTDIR)/options.1.inc

common_cflags += -I $(COMMON_UTILS_DIR)
common_cflags += -I ../src/libXNVCtrlAttributes
common_cflags += -I $(OUTPUTDIR)

CFLAGS += $(common_cflags)
HOST_CFLAGS += $(common_cflags)

##############################################################################
# build rules
##############################################################################

.PHONY: all
all: $(MANPAGE)

.PHONY: install
install: MANPAGE_install

.PHONY: MANPAGE_install
MANPAGE_install: $(MANPAGE)
	$(MKDIR) $(MANDIR)
	$(INSTALL) $(INSTALL_DOC_ARGS) $< $(MANDIR)/$(notdir $<)

.PHONY: clean clobber
clean clobber:
	rm -rf $(MANPAGE) *~ $(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
		$(GEN_MANPAGE_OPTS) $(OPTIONS_1_INC)


##############################################################################
# Documentation
##############################################################################

AUTO_TEXT = ".\\\" WARNING: THIS FILE IS AUTO-GENERATED!  Edit $< instead."

.PHONY: doc
doc: $(MANPAGE)

GEN_MANPAGE_OPTS_SRC  = ../src/gen-manpage-opts.c
GEN_MANPAGE_OPTS_SRC += $(COMMON_UTILS_DIR)/gen-manpage-opts-helper.c

GEN_MANPAGE_OPTS_OBJS = $(call BUILD_OBJECT_LIST,$(GEN_MANPAGE_OPTS_SRC))

$(foreach src, $(GEN_MANPAGE_OPTS_SRC), \
    $(eval $(call DEFINE_OBJECT_RULE,HOST,$(src))))

$(GEN_MANPAGE_OPTS): $(GEN_MANPAGE_OPTS_OBJS)
	$(call quiet_cmd,HOST_LINK) \
	    $(HOST_CFLAGS) $(HOST_LDFLAGS) $(HOST_BIN_LDFLAGS) $^ -o $@

$(OPTIONS_1_INC): $(GEN_MANPAGE_OPTS)
	@$< > $@

$(MANPAGE_not_gzipped): nvidia-settings.1.m4 $(OPTIONS_1_INC) $(VERSION_MK)
	$(call quiet_cmd,M4) \
	  -D__HEADER__=$(AUTO_TEXT) \
	  -D__BUILD_OS__=$(TARGET_OS) \
	  -D__VERSION__=$(NVIDIA_VERSION) \
	  -I $(OUTPUTDIR) \
	  $< > $@

$(MANPAGE_gzipped): $(MANPAGE_not_gzipped)
	$(GZIP_CMD) -9nf < $< > $@

=== src/Makefile ===
#
# nvidia-settings: A tool for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (C) 2008-2012 NVIDIA Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses>.
#


##############################################################################
# include common variables and functions
##############################################################################

UTILS_MK_DIR ?= ..

include $(UTILS_MK_DIR)/utils.mk

XNVCTRL_DIR ?= ../src/libXNVCtrl

include $(XNVCTRL_DIR)/xnvctrl.mk

##############################################################################
# The calling Makefile may export any of the following variables; we
# assign default values if they are not exported by the caller
##############################################################################

PKG_CONFIG            ?= pkg-config

ifndef WAYLAND_AVAILABLE
  WAYLAND_AVAILABLE := $(shell $(PKG_CONFIG) --exists wayland-client && echo 1)
endif
ifeq (1,$(WAYLAND_AVAILABLE))
  ifndef WAYLAND_CFLAGS
    WAYLAND_CFLAGS := $(shell $(PKG_CONFIG) --cflags )
  endif
  ifndef WAYLAND_LDFLAGS
    WAYLAND_LDFLAGS := $(shell $(PKG_CONFIG) --libs )
  endif
  BUILD_WAYLANDLIB = 1
endif

ifndef GTK2_AVAILABLE
  GTK2_AVAILABLE := $(shell $(PKG_CONFIG) --exists gtk+-2.0 && echo 1)
endif

ifeq (1,$(GTK2_AVAILABLE))
  ifndef GTK2_CFLAGS
    GTK2_CFLAGS          := $(shell $(PKG_CONFIG) --cflags gtk+-2.0)
  endif

  ifndef GTK2_LDFLAGS
    GTK2_LDFLAGS         := -Wl,--no-as-needed $(shell $(PKG_CONFIG) --libs gtk+-2.0)
  endif
else
  GTK2_CFLAGS ?=
  GTK2_LDFLAGS ?=
endif

# If GTK2_CFLAGS is set, try and build GTK2LIB
ifdef GTK2_CFLAGS
  BUILD_GTK2LIB = 1
endif

ifndef GTK3_AVAILABLE
  GTK3_AVAILABLE := $(shell $(PKG_CONFIG) --exists gtk+-3.0 && echo 1)
endif

ifeq (1,$(GTK3_AVAILABLE))
  ifndef GTK3_CFLAGS
    GTK3_CFLAGS          := $(shell $(PKG_CONFIG) --cflags gtk+-3.0)
  endif

  ifndef GTK3_LDFLAGS
    GTK3_LDFLAGS         := -Wl,--no-as-needed $(shell $(PKG_CONFIG) --libs gtk+-3.0)
  endif
else
  GTK3_CFLAGS ?=
  GTK3_LDFLAGS ?=
endif

# If GTK3_CFLAGS is set, try and build GTK3LIB
ifdef GTK3_CFLAGS
  BUILD_GTK3LIB = 1
endif

ifndef VDPAU_CFLAGS
  VDPAU_CFLAGS        := $(shell $(PKG_CONFIG) --cflags vdpau 2> /dev/null)
  ifeq ($(VDPAU_CFLAGS),)
    VDPAU_CFLAGS       = -I /usr/include
  endif
endif

ifndef DBUS_CFLAGS
  DBUS_CFLAGS        := $(shell $(PKG_CONFIG) --cflags dbus-1 2> /dev/null)
  ifeq ($(DBUS_CFLAGS),)
    DBUS_CFLAGS       = -I /usr/include/dbus-1.0/
  endif
endif

# These will be unused if nvidia-settings links dynamically against jansson
ifndef JANSSON_CFLAGS
  JANSSON_CFLAGS  = -Wno-cast-qual
  JANSSON_CFLAGS += -Wno-unused-function
  JANSSON_CFLAGS += -DHAVE_CONFIG_H
  JANSSON_CFLAGS += -Wno-format-truncation
endif

##############################################################################
# The XF86Config-parser, libXNVCtrl, and common-utils directories may
# be in one of two places: either elsewhere in the driver source tree
# when building nvidia-settings as part of the NVIDIA driver build (in
# which case, XNVCTRL_DIR, XNVCTRL_ARCHIVE, XCONFIG_PARSER_DIR,
# COMMON_UTILS_DIR and COMMON_UNIX_DIR should be defined by the calling
# makefile), or directly in the source directory when building from the
# nvidia-settings source tarball (in which case, the below conditional
# assignments should be used)
##############################################################################

XNVCTRL_DIR             ?= libXNVCtrl
XCONFIG_PARSER_DIR      ?= XF86Config-parser
COMMON_UTILS_DIR        ?= common-utils
COMMON_UNIX_DIR         ?= common-unix
VIRTUAL_RESOLUTIONS_DIR ?= $(COMMON_UNIX_DIR)/virtual-resolutions

##############################################################################
# assign variables
##############################################################################

NVIDIA_SETTINGS = $(OUTPUTDIR)/nvidia-settings

NVIDIA_SETTINGS_VERSION := $(NVIDIA_VERSION)

ifdef BUILD_GTK2LIB
  GTK2LIB_NAME = libnvidia-gtk2.so
  GTK2LIB_DIR  = $(OUTPUTDIR)/gtk2
  GTK2LIB = $(OUTPUTDIR)/$(GTK2LIB_NAME)
  GTK2LIB_SONAME = $(GTK2LIB_NAME).$(NVIDIA_SETTINGS_VERSION)
else
  # This value is empty if we are not building GTK2 so that the
  # nvidia-settings build step has this as an empty dependency.
  GTK2LIB =
endif

ifdef BUILD_GTK3LIB
  GTK3LIB_NAME = libnvidia-gtk3.so
  GTK3LIB_DIR  = $(OUTPUTDIR)/gtk3
  GTK3LIB = $(OUTPUTDIR)/$(GTK3LIB_NAME)
  GTK3LIB_SONAME = $(GTK3LIB_NAME).$(NVIDIA_SETTINGS_VERSION)
else
  # This value is empty if we are not building GTK3 so that the
  # nvidia-settings build step has this as an empty dependency.
  GTK3LIB =
endif

ifdef BUILD_WAYLANDLIB
  WAYLANDLIB_NAME = libnvidia-wayland-client.so
  WAYLANDLIB_DIR  = $(OUTPUTDIR)
  WAYLANDLIB = $(OUTPUTDIR)/$(WAYLANDLIB_NAME)
  WAYLANDLIB_SONAME = $(WAYLANDLIB_NAME).$(NVIDIA_SETTINGS_VERSION)
else
  WAYLANDLIB =
endif

CFLAGS += $(XNVCTRL_CFLAGS)

ifeq ($(TARGET_OS),SunOS)
  LDFLAGS += -Wl,-rpath=/usr/X11R6/lib -Wl,--export-dynamic
  LIBS += -lscf
endif

LDFLAGS += $(XNVCTRL_LDFLAGS)


# Some older Linux distributions do not have the dynamic library
# libXxf86vm.so, though some newer Linux distributions do not have the
# static library libXxf86vm.a.  Statically link against libXxf86vm
# when building nvidia-settings within the NVIDIA driver build, but
# dynamically link against libXxf86vm in the public builds.
NV_LINK_LIBXXF86VM_STATICALLY ?= 0

ifneq ($(NV_LINK_LIBXXF86VM_STATICALLY),0)
    LIBS += -Wl,-Bstatic -lXxf86vm -Wl,-Bdynamic
else
    LIBS += -lXxf86vm
endif

# nvidia-settings depends on libjansson >= 2.2.  If NV_USE_BUNDLED_LIBJANSSON is
# set to a non-zero value, then nvidia-settings is linked statically against the
# copy of libjansson bundled in the source tarball; if it is set to 0,
# nvidia-settings is linked dynamically against the copy of libjansson on the
# host system.  By default, nvidia-settings is linked against the bundled copy.
NV_USE_BUNDLED_LIBJANSSON ?= 1

ifeq ($(NV_USE_BUNDLED_LIBJANSSON),0)
    LIBS += -ljansson
endif

# Preferably, we would use pkg-config's "--libs-only-l" and
# "--libs-only-L" options to get separate GTK_LDFLAGS and GTK_LIBS,
# appending them to LDFLAGS and LIBS, respectively.  However, the
# pkg-config(1) man page cautions:
#
#     [...] Note that the union of "--libs-only-l"  and
#     "--libs-only-L"  may be smaller than "--libs", due to flags such
#     as -rdynamic.
#
# So append all of GTK_LDFLAGS to LIBS, so that LIBS can go after
# $(OBJECTS) on the link commandline, causing libraries for linking to
# be named after the objects that depend on those libraries (needed
# for "--as-needed" linker behavior).
LIBS += -lX11 -lXext -lm $(LIBDL_LIBS)

GTK2_LIBS += $(GTK2_LDFLAGS)
GTK3_LIBS += $(GTK3_LDFLAGS)
WAYLAND_LIBS += $(WAYLAND_LDFLAGS)

# Include all the source lists; dist-files.mk will define NVIDIA_SETTINGS_SRC
include src.mk
SRC        += $(NVIDIA_SETTINGS_SRC)

include $(XCONFIG_PARSER_DIR)/src.mk
XCP_SRC    += $(addprefix $(XCONFIG_PARSER_DIR)/,$(XCONFIG_PARSER_SRC))

include $(COMMON_UTILS_DIR)/src.mk
SRC        += $(addprefix $(COMMON_UTILS_DIR)/,$(COMMON_UTILS_SRC))

include $(VIRTUAL_RESOLUTIONS_DIR)/src.mk
SRC        += $(addprefix $(VIRTUAL_RESOLUTIONS_DIR)/,$(VIRTUAL_RESOLUTIONS_SRC))

OBJS        = $(call BUILD_OBJECT_LIST,$(SRC))
XCP_OBJS    = $(call BUILD_OBJECT_LIST,$(XCP_SRC))

GTK2_OBJS    = $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK2LIB_DIR))
GTK3_OBJS    = $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK3LIB_DIR))
IMAGE_OBJS    = $(addprefix $(OUTPUTDIR)/,$(addsuffix .o,$(notdir $(IMAGE_FILES))))
IMAGE_HEADERS = $(addprefix $(OUTPUTDIR)/,$(addsuffix .h,$(notdir $(IMAGE_FILES))))
WAYLAND_OBJS  = $(call BUILD_OBJECT_LIST_WITH_DIR,$(WAYLAND_SRC),$(WAYLANDLIB_DIR))

CFLAGS     += -I .
CFLAGS     += -I image_data
CFLAGS     += -I $(XNVCTRL_DIR)
CFLAGS     += -I $(XCONFIG_PARSER_DIR)/..
CFLAGS     += -I libXNVCtrlAttributes
CFLAGS     += -I xpm_data

ifneq ($(NV_USE_BUNDLED_LIBJANSSON),0)
  CFLAGS     += -I jansson
endif

CFLAGS     += -I $(COMMON_UTILS_DIR)
CFLAGS     += -I $(VIRTUAL_RESOLUTIONS_DIR)
CFLAGS     += -I $(OUTPUTDIR)
CFLAGS     += $(VDPAU_CFLAGS)
CFLAGS     += $(DBUS_CFLAGS)
CFLAGS     += -DPROGRAM_NAME=\"nvidia-settings\"

$(call BUILD_OBJECT_LIST,$(XCP_SRC)): CFLAGS += -fPIC

ifdef BUILD_GTK2LIB
  $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK2LIB_DIR)): \
      CFLAGS += $(GTK2_CFLAGS) -fPIC -I $(XCONFIG_PARSER_DIR)/..
endif

ifdef BUILD_GTK3LIB
  $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK3LIB_DIR)): \
      CFLAGS += $(GTK3_CFLAGS) -fPIC -I $(XCONFIG_PARSER_DIR)/..
endif

ifdef BUILD_WAYLANDLIB
  $(call BUILD_OBJECT_LIST_WITH_DIR,$(WAYLAND_SRC),$(WAYLANDLIB_DIR)): \
      CFLAGS += $(WAYLAND_CFLAGS) -fPIC
endif

ifneq ($(NV_USE_BUNDLED_LIBJANSSON),0)
  $(call BUILD_OBJECT_LIST,$(JANSSON_SRC)): CFLAGS += $(JANSSON_CFLAGS)
endif

define BINARY_DATA_HEADER_RULE
  $$(OUTPUTDIR)/$(notdir $(1)).h:
	$(at_if_quiet)$(MKDIR) $$(OUTPUTDIR)
	$(at_if_quiet){ \
	  $$(PRINTF) "extern const char _binary_$(subst .,_,$(notdir $(1)))_start[];\n"; \
	  $$(PRINTF) "extern const char _binary_$(subst .,_,$(notdir $(1)))_end[];\n"; \
	} > $$@
endef

##############################################################################
# build rules
##############################################################################

.PHONY: all
all: $(NVIDIA_SETTINGS) $(GTK2LIB) $(GTK3LIB) $(WAYLANDLIB)

.PHONY: install
install: NVIDIA_SETTINGS_install NVIDIA_GTKLIB_install WAYLAND_LIB_install

.PHONY: NVIDIA_GTKLIB_install
NVIDIA_GTKLIB_install: $(GTK2LIB) $(GTK3LIB)
	$(MKDIR) $(LIBDIR)
ifdef BUILD_GTK2LIB
	$(INSTALL) $(INSTALL_LIB_ARGS) $(GTK2LIB) \
	    $(LIBDIR)/$(GTK2LIB_SONAME)
endif
ifdef BUILD_GTK3LIB
	$(INSTALL) $(INSTALL_LIB_ARGS) $(GTK3LIB) \
	    $(LIBDIR)/$(GTK3LIB_SONAME)
endif

.PHONY: WAYLAND_LIB_install
WAYLAND_LIB_install: $(WAYLANDLIB)
	$(MKDIR) $(LIBDIR)
	$(INSTALL) $(INSTALL_LIB_ARGS) $(WAYLANDLIB) \
	    $(LIBDIR)/$(WAYLANDLIB_SONAME)

.PHONY: NVIDIA_SETTINGS_install
NVIDIA_SETTINGS_install: $(NVIDIA_SETTINGS)
	$(MKDIR) $(BINDIR)
	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(BINDIR)/$(notdir $<)

$(eval $(call DEBUG_INFO_RULES, $(NVIDIA_SETTINGS)))
$(NVIDIA_SETTINGS).unstripped: $(OBJS) $(LIBXNVCTRL)
	$(call quiet_cmd,LINK) $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
	    -rdynamic -o $@ $(OBJS) $(LIBXNVCTRL) $(LIBS)

ifdef BUILD_GTK2LIB
$(eval $(call DEBUG_INFO_RULES, $(GTK2LIB)))
$(GTK2LIB).unstripped: $(LIBXNVCTRL) $(GTK2_OBJS) $(XCP_OBJS) $(IMAGE_OBJS) $(VERSION_MK)
	$(call quiet_cmd,LINK) -shared $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
	    $(LIBXNVCTRL) $(LIBS) $(GTK2_LIBS) \
	    -Wl,--unresolved-symbols=ignore-all -o $@ \
	    -Wl,-soname -Wl,$(GTK2LIB_SONAME) \
	    $(GTK2_OBJS) $(IMAGE_OBJS) $(XCP_OBJS)
endif

ifdef BUILD_GTK3LIB
$(eval $(call DEBUG_INFO_RULES, $(GTK3LIB)))
$(GTK3LIB).unstripped: $(LIBXNVCTRL) $(GTK3_OBJS) $(XCP_OBJS) $(IMAGE_OBJS) $(VERSION_MK)
	$(call quiet_cmd,LINK) -shared $(CFLAGS) $(LDFLAGS)  $(BIN_LDFLAGS) \
	    $(LIBXNVCTRL) $(LIBS) $(GTK3_LIBS) \
	    -Wl,--unresolved-symbols=ignore-all -o $@ \
	    -Wl,-soname -Wl,$(GTK3LIB_SONAME) \
	    $(GTK3_OBJS) $(XCP_OBJS) $(IMAGE_OBJS)
endif

ifdef BUILD_WAYLANDLIB
$(eval $(call DEBUG_INFO_RULES, $(WAYLANDLIB)))
$(WAYLANDLIB).unstripped: $(WAYLAND_OBJS)
	$(call quiet_cmd,LINK) -shared $(CFLAGS) $(LDFLAGS)  $(BIN_LDFLAGS) \
	    $(LIBS) $(WAYLAND_LIBS) \
	    -Wl,--unresolved-symbols=ignore-all -o $@ \

## nvidia-settings-tesla 510.85.02

=== debian/changelog ===
nvidia-settings-tesla (510.85.02-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 11 Aug 2022 10:03:37 +0200

nvidia-settings-tesla-510 (510.85.02-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-510.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 10 Aug 2022 17:48:05 +0200

nvidia-settings (510.85.02-1) experimental; urgency=medium

  * New upstream release 510.85.02.
  * Merge changes from 470.141.03-1.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 10 Aug 2022 15:29:29 +0200

nvidia-settings-tesla (510.73.05-1) unstable; urgency=medium

  * Fork as a generic (unversioned) Tesla build.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Jul 2022 11:52:51 +0200

nvidia-settings-tesla-510 (510.73.05-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-510.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Jul 2022 09:25:58 +0200

nvidia-settings (510.73.05-1) experimental; urgency=medium

  * New upstream release 510.73.05.
  * Merge changes from 470.129.06-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Jul 2022 08:10:59 +0200

nvidia-settings (510.68.02-1) experimental; urgency=medium

  * New upstream release 510.68.02.

 -- Luca Boccassi <bluca@debian.org>  Mon, 02 May 2022 17:42:25 +0100

nvidia-settings-tesla-510 (510.60.02-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-510.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Apr 2022 22:30:59 +0200

nvidia-settings (510.60.02-1) experimental; urgency=medium

  * New upstream release 510.60.02.

  [ Helmut Grohne ]
  * Improve cross building: Pass more build tools to make. (Closes:
    #1005958)

 -- Luca Boccassi <bluca@debian.org>  Sat, 26 Mar 2022 11:41:46 +0000

nvidia-settings (510.54-1) experimental; urgency=medium

  * New upstream release 510.54.
    - Fixed a bug that caused the nvidia-settings control panel to print
      spurious error messages.

 -- Luca Boccassi <bluca@debian.org>  Mon, 14 Mar 2022 00:02:26 +0000

nvidia-settings-tesla-510 (510.47.03-1) unstable; urgency=medium

  * Initial release of nvidia-settings for use with the Tesla 510 driver.
  * Build only a single binary package, no -dev package or shared library.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Feb 2022 11:43:09 +0100

nvidia-settings (510.47.03-1) experimental; urgency=medium

  * New upstream release 510.47.03.
  * New upstream release 510.39.01.
    - Fixed a bug that caused the nvidia-settings control panel to report
      inaccurate ECC error counts, and completely prevented the reporting
      of aggregate ECC error counts. ECC error counts reported by nvidia-smi
      were not affected.
    - Added a GUI control for setting Image Sharpening values in the app
      profiles page of the nvidia-settings control panel.
    - Added support for nvidia-settings to use NVML for NV-CONTROL attributes.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Feb 2022 11:13:57 +0100

nvidia-settings (495.46-1) experimental; urgency=medium

  * New upstream release 495.46.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Jan 2022 02:48:51 +0100

nvidia-settings-tesla-470 (470.141.03-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-470.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 09 Aug 2022 15:16:26 +0200

nvidia-settings (470.141.03-1) unstable; urgency=medium

  * New upstream release 470.141.03.
    - Fixed a bug that prevented nvidia-settings from accurately reflecting
      changes to some configuration properties.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 09 Aug 2022 14:45:12 +0200

nvidia-settings-tesla-470 (470.129.06-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-470.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 29 Jun 2022 20:01:46 +0200

nvidia-settings (470.129.06-1) unstable; urgency=medium

  * New upstream release 470.129.06.
  * Bump Standards-Version to 4.6.1. No changes needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Jun 2022 04:14:03 +0200

nvidia-settings-tesla-470 (470.103.01-2) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-470.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Apr 2022 18:27:00 +0200

nvidia-settings (470.103.01-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add salsa-ci.yml.

  [ Helmut Grohne ]
  * Improve cross building: Pass more build tools to make.  (Closes: #1005958)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libvdpau-dev.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Apr 2022 16:22:46 +0200

nvidia-settings-tesla-470 (470.103.01-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 20 Mar 2022 23:56:01 +0100

nvidia-settings-tesla-470 (470.103.01-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-470.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Feb 2022 10:21:01 +0100

nvidia-settings (470.103.01-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 20 Mar 2022 21:55:14 +0100

nvidia-settings (470.103.01-1) unstable; urgency=medium

  * New upstream release 470.103.01.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Feb 2022 09:45:25 +0100

nvidia-settings-tesla-470 (470.94-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-470.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Jan 2022 18:54:36 +0100

nvidia-settings (470.94-1) unstable; urgency=medium

  * New upstream release 470.94.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Jan 2022 15:00:24 +0100

nvidia-settings-tesla-470 (470.82.00-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-470.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 08 Nov 2021 17:29:24 +0100

nvidia-settings (470.82.00-1) unstable; urgency=medium



=== debian/control ===
Source: nvidia-settings-tesla
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk-3-dev,
 libjansson-dev,
 libvdpau-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
 xserver-xorg-dev,
Build-Conflicts:
 libxnvctrl-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b tesla/master

Package: nvidia-settings-tesla
Architecture: amd64 arm64 ppc64el
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 , ${nvidia}-alternative
 , ${shlibs:Depends}, ${misc:Depends}
Recommends:
 , libgl1-${nvidia}-glvnd-glx
 , ${nvidia}-vdpau-driver
 , lib${nvidia}-ml1
Provides:
 nvidia-settings-gtk-${nvidia:Version},
Conflicts:
 nvidia-settings-gtk-${nvidia:Version},
Description: tool for configuring the NVIDIA graphics driver${nvidia:VariantDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk
DPKG_EXPORT_BUILDTOOLS=1
include /usr/share/dpkg/buildtools.mk

PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR='\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"'

export PREFIX		 = /usr
export DO_STRIP		 =
export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
export HOST_CC_ONLY_CFLAGS	 = $(CPPFLAGS)
# reproducible builds: instead of _out/$(uname)_($uname -m) use a fixed directory
export OUTPUTDIR	 = _out/debian

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG		 = 1
endif

export NV_USE_BUNDLED_LIBJANSSON = 0

include debian/rules.defs
NVIDIA_LEGACY		?=
NVIDIA_TESLA		?=
NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
empty			 =
variant			 =
variant_description	 =
ifneq (,$(NVIDIA_LEGACY))
variant			 = legacy-$(NVIDIA_LEGACY)xx))
variant_description	 = $(empty) ($(NVIDIA_LEGACY)xx legacy version)))
endif
ifneq (,$(NVIDIA_TESLA))
variant			 = tesla-$(NVIDIA_TESLA)
variant_description	 = $(empty) (Tesla $(NVIDIA_TESLA) version)
endif
ifeq (yes,$(NVIDIA_TESLA))
variant			 = tesla
variant_description	 = $(empty) (Tesla version)
endif
-variant		 = $(if $(variant),-$(variant))
nvidia			 = nvidia$(-variant)
nvidia_private		 = nvidia/$(if $(variant),$(variant),current)
watch_version		?= $(or $(filter-out yes,$(NVIDIA_TESLA)),$(NVIDIA_LEGACY))

ALL_CONTROL	:= $(wildcard debian/nvidia-settings.*)
VARIANT_CONTROL	:= $(wildcard debian/nvidia-settings$(-variant).*)
RENAME_CONTROL	 = $(filter-out $(VARIANT_CONTROL),$(ALL_CONTROL))
RENAMED_CONTROL	 = $(patsubst debian/nvidia-settings.%,debian/nvidia-settings$(-variant).%,$(RENAME_CONTROL))
TEMPLATES	:= $(wildcard debian/*.in)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
AUTOGEN		+= debian/substvars
AUTOKEEP	 = debian/watch
AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))


%:
	dh $@

override_dh_auto_build: $(AUTOGEN)
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build -O--parallel
	$(MAKE) -C samples

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	install -m 0755 samples/$(OUTPUTDIR)/nv-control-dpy debian/tmp/usr/bin/
	install -d -m 0755 debian/tmp/usr/share/icons/hicolor/128x128/apps/
	install -m 0644 doc/nvidia-settings.png debian/tmp/usr/share/icons/hicolor/128x128/apps/nvidia-settings$(-variant).png

execute_after_dh_auto_clean:
	$(MAKE) -C samples clean
	$(RM) -r doc/_out samples/_out src/_out src/libXNVCtrl/_out
	$(RM) $(AUTOCLEAN)
	$(MAKE) -f debian/rules $(AUTOKEEP)

override_dh_gencontrol:
	dh_gencontrol -- \
		-V'nvidia=$(nvidia)' \
		-V'nvidia:VariantDesc=$(variant_description)' \
		-V'nvidia:Version=$(NVIDIA_RELEASE)'

# used by dpkg-genchanges
debian/substvars:
	echo 'nvidia:VariantDesc=$(variant_description)' > $@


# Generating control files
debian/%:: debian/%.in debian/rules debian/rules.defs
	perl -p \
		-e 's{#VARIANT#}{$(-variant)}g;' \
		-e 's{#VARIANT_DESC#}{$(variant_description)}g;' \
		-e 's{#PRIVATE#}{$(nvidia_private)}g;' \
		-e 's{#WATCH_VERSION#}{$(watch_version)}g;' \
		< $< > $@

# Renaming control files for variant packaging
ifneq (,$(variant))
nvidia-settings$(-variant).%: nvidia-settings.%
	cp -a $< $@
endif

## nvidia-settings-tesla 515.86.01

=== debian/changelog ===
nvidia-settings-tesla (515.86.01-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 28 Jan 2023 03:47:49 +0100

nvidia-settings (515.86.01-1) unstable; urgency=medium

  * New upstream release 515.86.01.
    - Fixed a bug that caused nvidia-settings to find incorrect fan speed
      ranges on some GPUs.  Lower-level layers of the driver protected
      the hardware from programming incorrect fan speeds, so the symptom
      was only incorrect reporting.  Now, reporting in nvidia-settings
      matches what actually gets programmed in hardware.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 28 Jan 2023 03:17:12 +0100

nvidia-settings (515.76-1) experimental; urgency=medium

  * New upstream release 515.76.
  * Refresh patches.
  * Build and ship the Wayland variant in addition to GTK+ 3.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Oct 2022 14:15:22 +0200

nvidia-settings-tesla (510.108.03-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 06 Jan 2023 05:07:41 +0100

nvidia-settings-tesla-510 (510.108.03-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-510.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 06 Jan 2023 04:16:38 +0100

nvidia-settings (510.108.03-1) unstable; urgency=medium

  * New upstream release 510.108.03.
  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 13:54:35 +0100

nvidia-settings (510.85.02-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Oct 2022 15:25:19 +0200

nvidia-settings-tesla-470 (470.161.03-1) unstable; urgency=medium

  * New upstream release 470.161.03.
  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 23:57:09 +0100

nvidia-settings-tesla-470 (470.141.03-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 02 Sep 2022 11:57:59 +0200

nvidia-settings (470.141.03-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 02 Sep 2022 10:58:58 +0200

nvidia-settings-tesla-460 (460.91.03-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 23:20:13 +0100

nvidia-settings-tesla-450 (450.119.03-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 23:10:40 +0100

nvidia-settings-tesla-418 (418.113-9) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 19:03:42 +0100

nvidia-settings-legacy-390xx (390.157-1) unstable; urgency=medium

  * New upstream release 390.157.
  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 18:47:27 +0100

nvidia-settings-legacy-340xx (340.108-7) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 14:20:20 +0100

## nvidia-settings-tesla 525.125.06

=== debian/changelog ===
nvidia-settings-tesla (525.125.06-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 11:10:27 +0200

nvidia-settings-tesla (525.125.06-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 00:04:57 +0200

nvidia-settings (525.125.06-1) unstable; urgency=medium

  * New upstream release 525.125.06.
  * New upstream release 525.105.17.
    - Fixed a bug that could cause the nvidia-settings control panel to
      crash when resetting the display layout.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Jul 2023 23:27:45 +0200

nvidia-settings (525.85.05-2) experimental; urgency=medium

  * Move source package back to contrib.
  * libxnvctrl0, libxnvctrl-dev are now built by src:libxnvctrl.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 18 Apr 2023 22:28:02 +0200

nvidia-settings-tesla (525.85.05-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Feb 2023 09:12:09 +0100

nvidia-settings (525.85.05-1) unstable; urgency=medium

  * New upstream release 525.85.05.
    - Fixed a bug that prevented some controls in the nvidia-settings
      control panel from working when running an X server as an
      unprivileged user.
  * New upstream release 525.78.01.
    - Fixed a bug that could cause the nvidia-settings control panel to
      crash when using a newer control panel with an older driver.
  * New upstream release 525.53.
    - Updated the nvidia-settings control panel to prevent the creation
      of display layouts that exceed hardware size limitations when using
      the SLI Mosaic configuration page, and to display a warning if such
      a layout is created manually in the Display Configuration page.
    - Removed the hard dependency on GTK 2 when building nvidia-settings
      from source. nvidia-settings may now be built with support for GTK 2
      only, GTK 3 only, or both GTK 2 and GTK 3.
  * Refresh patches.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 09 Feb 2023 19:01:15 +0100

nvidia-settings (520.56.06-1) unstable; urgency=medium

  * New upstream release 520.56.06.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Feb 2023 17:35:12 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  m4,
- libgl1-mesa-dev | libgl-dev,
+ libgl-dev,
  libgtk-3-dev,
  libjansson-dev,
+ libwayland-dev,
  libvdpau-dev,
  libxv-dev,
  libxxf86vm-dev,
@@ -19,10 +20,10 @@
 Build-Conflicts:
  libxnvctrl-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
-Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b tesla/master
+Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b tesla/main
 
 Package: nvidia-settings-tesla
 Architecture: amd64 arm64 ppc64el

=== debian/rules ===
--- 
+++ 
@@ -76,6 +76,9 @@
 	install -d -m 0755 debian/tmp/usr/share/icons/hicolor/128x128/apps/
 	install -m 0644 doc/nvidia-settings.png debian/tmp/usr/share/icons/hicolor/128x128/apps/nvidia-settings$(-variant).png
 
+override_dh_auto_clean:
+	dh_auto_clean -- BUILD_GTK3LIB=1
+
 execute_after_dh_auto_clean:
 	$(MAKE) -C samples clean
 	$(RM) -r doc/_out samples/_out src/_out src/libXNVCtrl/_out

## nvidia-settings-tesla 525.147.05

=== debian/changelog ===
nvidia-settings-tesla (525.147.05-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla.
  * Switch B-D from pkg-config to pkgconf.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 18 Mar 2024 11:35:42 +0100

nvidia-settings (525.147.05-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Feb 2024 00:39:29 +0100

nvidia-settings (525.147.05-1) unstable; urgency=medium

  * New upstream release 525.147.05.
  * Build for ppc64el.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 26 Jan 2024 19:29:45 +0100

nvidia-settings (525.125.06-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 11:01:23 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libvdpau-dev,
  libxv-dev,
  libxxf86vm-dev,
- pkg-config,
+ pkgconf,
  xserver-xorg-dev,
 Build-Conflicts:
  libxnvctrl-dev,
